import React from "react";
import { CommonProps, TypeAttributes } from "../@types/common";
export interface CardProps extends CommonProps {
    /** Border radius of the card */
    border?: boolean;
    /** Box shadow of the card */
    shadow?: boolean;
    /** Padding size on card */
    size?: TypeAttributes.Size;
}
declare const Card: React.FC<CardProps>;
export default Card;
