import React, { HTMLAttributes } from "react";
import { CommonProps } from "../@types/common";
export interface ContainerProps extends CommonProps, HTMLAttributes<HTMLDivElement> {
    /** Container fit to the parent width */
    fluid?: boolean;
    /** Reset the container padding */
    noPadding?: boolean;
}
declare const Container: React.FC<ContainerProps>;
export default Container;
