import DropdownComponent from "./Dropdown";
import DropdwonDivider from "./DropdownDivider";
import DropdownItem from "./DropdownItem";
import DropdownMenu from "./DropdownMenu";
declare type DropdownComponentType = typeof DropdownComponent;
interface Dropdown extends DropdownComponentType {
    Menu: typeof DropdownMenu;
    Item: typeof DropdownItem;
    Divider: typeof DropdwonDivider;
}
declare const Dropdown: Dropdown;
export default Dropdown;
export * from "./Dropdown";
