import React from "react";
import { CommonProps, TypeAttributes } from "../@types/common";
export interface TooltipProps extends CommonProps {
    /** The tooltip content */
    content?: React.ReactNode;
    /** Tooltip placement */
    placement?: TypeAttributes.Placement8 | TypeAttributes.Placement4;
}
declare const Tooltip: React.FC<TooltipProps>;
export default Tooltip;
