"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _utils = require("../utils");

var SidebarContent = function SidebarContent(props) {
  var _props$componentClass = props.componentClass,
      Component = _props$componentClass === void 0 ? 'div' : _props$componentClass,
      _props$classPrefix = props.classPrefix,
      classPrefix = _props$classPrefix === void 0 ? 'sidebar-scrollable' : _props$classPrefix,
      className = props.className,
      children = props.children,
      rest = (0, _objectWithoutPropertiesLoose2.default)(props, ["componentClass", "classPrefix", "className", "children"]);

  var _useClassNames = (0, _utils.useClassNames)(classPrefix),
      merge = _useClassNames.merge,
      withClassPrefix = _useClassNames.withClassPrefix;

  var classes = merge(className, withClassPrefix({}));
  return /*#__PURE__*/_react.default.createElement(Component, (0, _extends2.default)({
    className: classes
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "ts-sidebar-scrollable-content"
  }, children));
};

var _default = SidebarContent;
exports.default = _default;