import React from "react";
import { CommonProps } from "../@types/common";
export interface HeaderProps extends CommonProps {
    /** Navigation on the header */
    navigation?: React.ReactNode;
    /** Header icon */
    icon?: React.ReactNode;
    /** Header icon */
    headerIcon?: React.ReactNode;
    /** The title of header */
    title?: string;
    /** Custom render of the title */
    renderTitle?: (children: React.ReactNode) => React.ReactNode;
    /** Extra component on the header */
    extraElement?: React.ReactNode;
}
declare const Header: React.FC<HeaderProps>;
export default Header;
