import React from "react";
import { CommonProps } from "../@types/common";
export interface MainHeaderProps extends CommonProps {
    /** Menu navigation on header */
    navigation?: React.ReactNode;
    /** Title of the header */
    title?: string;
    /** Render custom element for title */
    renderTitle?: (children: React.ReactNode) => React.ReactNode;
}
declare const MainHeader: (props: MainHeaderProps) => JSX.Element;
export default MainHeader;
