var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { useClassNames } from "../utils";
var InputGroup = function (props) {
    var _a = props.componentClass, Component = _a === void 0 ? "div" : _a, className = props.className, _b = props.classPrefix, classPrefix = _b === void 0 ? "input-group" : _b, children = props.children, size = props.size, rest = __rest(props, ["componentClass", "className", "classPrefix", "children", "size"]);
    var _c = useClassNames(classPrefix), merge = _c.merge, withClassPrefix = _c.withClassPrefix;
    var classes = merge(className, withClassPrefix(size));
    var getChildren = function () {
        var elements = React.Children.map(children, function (child, _) {
            var _a;
            var displayName = (_a = child === null || child === void 0 ? void 0 : child.type) === null || _a === void 0 ? void 0 : _a.displayName;
            if (displayName === "Input") {
                return React.cloneElement(child, __assign({ key: _ }, child === null || child === void 0 ? void 0 : child.props));
            }
            return child;
        });
        return { elements: elements };
    };
    var elements = getChildren().elements;
    return (React.createElement(Component, __assign({ className: classes }, rest), elements));
};
export default InputGroup;
