var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { useClassNames } from "../utils";
import ExpanderIcon from "./SidebarExpanderIcon";
var SidebarHeader = function (props) {
    var children = props.children, _a = props.componentClass, Component = _a === void 0 ? "div" : _a, _b = props.classPrefix, classPrefix = _b === void 0 ? "sidebar-header" : _b, className = props.className, expander = props.expander, handleCollapse = props.handleCollapse, rest = __rest(props, ["children", "componentClass", "classPrefix", "className", "expander", "handleCollapse"]);
    var _c = useClassNames(classPrefix), merge = _c.merge, withClassPrefix = _c.withClassPrefix, prefix = _c.prefix;
    var classes = merge(className, withClassPrefix());
    var expanderElement;
    if (expander) {
        expanderElement = (React.createElement("div", { className: prefix("expander"), onClick: handleCollapse() },
            React.createElement(ExpanderIcon, null)));
    }
    return (React.createElement(Component, __assign({ className: classes }, rest),
        React.createElement("div", { className: prefix("logo") }, children),
        expanderElement));
};
SidebarHeader.displayName = "SidebarHeader";
SidebarHeader.defaultProps = {
    componentClass: "div",
    classPrefix: "sidebar-header"
};
export default SidebarHeader;
