var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { useClassNames } from "../utils";
var TopNavigation = function (props) {
    var _a = props.componentClass, Component = _a === void 0 ? "header" : _a, topbar = props.topbar, header = props.header, className = props.className, _b = props.shadow, shadow = _b === void 0 ? true : _b, _c = props.classPrefix, classPrefix = _c === void 0 ? "top-navigation" : _c, rest = __rest(props, ["componentClass", "topbar", "header", "className", "shadow", "classPrefix"]);
    var _d = useClassNames(classPrefix), merge = _d.merge, withClassPrefix = _d.withClassPrefix;
    var classes = merge(className, withClassPrefix({ shadow: shadow }));
    return (React.createElement(Component, __assign({ className: classes }, rest),
        header,
        topbar));
};
export default TopNavigation;
