import React from "react";
declare type TargetType = React.RefObject<Element | undefined> | Element | null | undefined;
export interface OverlayOptions {
    triggerTarget: TargetType;
    overlayTarget: TargetType;
    disabled: boolean;
}
declare const overlayClose: (onCloseOverlay: (e: Event) => void, { triggerTarget, overlayTarget, disabled }: OverlayOptions) => void;
export default overlayClose;
